Skip to main content
GET
Get article

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

articleId
string<uuid>
required

Unique identifier of the article.

Query Parameters

recordView
boolean
default:true

Whether to record a page view for analytics.

Response

Article details returned successfully

id
string<uuid>
required

Unique identifier of the article.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

name
string
required

Name of the article.

Example:

"Getting Started with SMS API"

content
string
required

Content of the article in HTML format.

Example:

"<h1>Introduction</h1><p>This guide covers the basics of the SMS API.</p>"

status
enum<string>
required

Workflow status of the article.

Available options:
PUBLISHED,
DRAFT
Example:

"PUBLISHED"

tags
TagSimpleResponse · object[]
required

Tags assigned to the article.

List of Articles Or Attachments linked to the article.

createdAt
string<date-time>
required

Timestamp of when the article was created.

Example:

"2025-06-01T08:30:00Z"

lastUpdatedAt
string<date-time>
required

Timestamp of when the article was last updated.

Example:

"2025-06-15T14:20:00Z"

likeCount
integer<int32>
required

Count of positive feedbacks.

Example:

12

viewCount
integer<int32>
required

Total view count.

Example:

350

scope
enum<string>
required

Content scope of the node.

Available options:
INTERNAL,
EXTERNAL
Example:

"INTERNAL"

category
CategoryResponse · object
required

Parent category of the article.

breadcrumb
string[]
required

Navigation breadcrumb path.

Navigation breadcrumb path.

Example:
visibility
enum<string>
required

Visibility of the node.

Available options:
PRIVATE,
PUBLIC
Example:

"PUBLIC"

lastPublishedAt
string<date-time>

Timestamp of when the article was last published.

Example:

"2025-06-15T12:00:00Z"

likedByUser
boolean

Whether the current user has liked this article. Null when no user context is available.

Example:

false

subscribedByUser
boolean

Whether the current user is subscribed to this article. Null when no user context is available.

Example:

true

source
enum<string>

External source of the node, if imported.

Available options:
CSV,
SHAREPOINT,
CONFLUENCE
Example:

"CONFLUENCE"

createdBy
UserData · object

User who uploaded the file.

folder
FolderResponse · object

Parent folder of the article.

lastUpdatedBy
UserData · object

User who uploaded the file.

lastPublishedBy
UserData · object

User who uploaded the file.

commentsCount
integer<int64>

Number of comments on the article.

Example:

5

publicContentUrl
string

URL to the public content page.

Example:

"https://kb.phonovation.com/articles/3fa85f64"